jquery - w3schools - javascript




বুটস্ট্র্যাপ Uncaught ত্রুটি ছোঁড়ে: বুটস্ট্র্যাপ এর জাভাস্ক্রিপ্ট jQuery প্রয়োজন (10)

অফিসিয়াল ডক্সগুলিতে: https://electronjs.org/docs/faq#i-can-not-use-jqueryrequirejsmeteorangularjs-in-electron ইলেক্ট্রন

<head>
  <script>
  window.nodeRequire = require;
  delete window.require;
  delete window.exports;
  delete window.module;
  </script>
  <script type="text/javascript" src="jquery.js"></script>
</head>

আমি একটি প্রোগ্রামের জন্য একটি ইন্টারফেস তৈরি করার জন্য বুটস্ট্র্যাপ ব্যবহার করার চেষ্টা করছি। আমি jQuery 1.11.0 টি <head> ট্যাগটিতে যুক্ত করেছি এবং এটি মনে করেছিলাম, কিন্তু যখন আমি ব্রাউজারে ওয়েব পৃষ্ঠাটি চালু করি তখন jQuery একটি ত্রুটি প্রতিবেদন করে:

Uncaught Error: Bootstrap's JavaScript requires jQuery

আমি jQuery 1.9.0 ব্যবহার করার চেষ্টা করেছি, আমি বিভিন্ন সিডিএনগুলিতে হোস্ট করা কপিগুলির সাথে চেষ্টা করেছি, কিন্তু আমি এটি কাজ করতে পারছি না। কেউ কি আমি ভুল করছি কি নির্দেশ করতে পারেন?


আপনার কোডটি ভাল দেখায় তবে, আপনার সার্ভারে যে jQuery সফলভাবে লোড হয়েছে তা যাচাই করুন। আমার ক্ষেত্রে, জাভাস্ক্রিপ্ট ফাইলগুলি আমার আইডিই দ্বারা সার্ভারে প্রকাশ করা হয়েছিল, তবে ওয়েব সার্ভারটিতে শুধুমাত্র 0 কেবি ফাইল স্টাব ছিল। কোনও সামগ্রী ছাড়াই সার্ভারটি ফাইলটি ব্রাউজারে সরবরাহ করতে ব্যর্থ হয়েছে।

ফাইলটি পুনরায় প্রকাশ করার পরে এবং সার্ভারটি প্রকৃতপক্ষে পুরো ফাইলটি পেয়েছে তা যাচাই করার পরে, আমার ওয়েব পৃষ্ঠাটি আমাকে ত্রুটি প্রদান বন্ধ করে দিয়েছে।


আপনি JAVASCRIPT এবং BOOTSTRAP এর জন্য ভুল অর্ডার সরবরাহ করেছেন

কনভেনশন দ্বারা বুটস্ট্র্যাপ jquery ফাইল সংজ্ঞা অনুসরণ করা আবশ্যক

<!-- JQuery Core JavaScript -->
<script src="lib/js/jquery.min.js"></script>
<script src="lib/js/jquery-ui.min.js"></script>
<!-- Bootstrap Core JavaScript -->
<script src="lib/js/bootstrap.min.js"></script>

আপনি jquery লোড করা উচিত কারণ বুটস্ট্র্যাপ jquery বৈশিষ্ট্য ব্যবহার করুন। এটার মত:

<!doctype html>
<html>
    <head>
        <link type="text/css" rel="stylesheet" src="css/animate.css">
        <link type="text/css" rel="stylesheet" src="css/bootstrap-theme.min.css">
        <link type="text/css" rel="stylesheet" src="css/bootstrap.min.css">
        <link type="text/css" rel="stylesheet" href="css/custom.css">

<!--   Shuffle your scripts HERE  -->
        <script src="js/jquery-1.11.0.min.js"></script>
        <script src="js/bootstrap.min.js"></script>
        <script src="js/wow.min.js"></script>
<!--   End  -->   

        <title>pyMeLy Interface</title>
    </head>
    <body>
        <p class="title1"><strong>pyMeLy</strong></p>
        <p class="title2"><em> A stylish way to view your media</em></p>
        <div style="text-align:center;">
            <button type="button" class="btn btn-primary">Movies</button>
            <button type="button" class="btn btn-primary btn-lg">Large button</button>
        </div>
    </body>
</html>

আমার ক্ষেত্রে সমাধান সত্যিই মূর্খ, এবং অদ্ভুত।

নীচে কোডটি _Layout.cshtml ফাইল দ্বারা প্রাক-জনসংখ্যাযুক্ত ছিল। (আমার দ্বারা লেখা না)

<script src="~/Scripts/jquery-1.10.2.min.js"></script>
<script src="~/Scripts/bootstrap.min.js"></script>

কিন্তু, যখন আমি স্ক্রিপ্ট ফোল্ডারে যাচাই করেছি, jquery-1.10.2.min.js এমনকি উপলব্ধ ছিল না। সুতরাং, নীচের কোডটি প্রতিস্থাপিত হয়েছে যেখানে jquery-1.9.1.min.js একটি বিদ্যমান ফাইল:

<script src="~/Scripts/jquery-1.9.1.min.js"></script>
<script src="~/Scripts/bootstrap.min.js"></script>

আমি নোডজেএস ব্যবহার করছি এবং একই ত্রুটি পেয়েছি। অন্যান্য উত্তরগুলির মত, সমস্যাও ছিল কারণ JQuery বুটস্ট্র্যাপের আগে লোড করা দরকার; যাইহোক, নোডিজএস বৈশিষ্ট্যগুলির কারণে, পাইপলাইন.জেজে ফাইলটিতে এই পরিবর্তনটি প্রয়োগ করা হয়েছিল।

পাইপলাইন.জেজে পরিবর্তন এই রকম ছিল:

var jsFilesToInject = [
  // Dependencies like jQuery, or Angular are brought in here
  'js/dependencies/angular.1.3.js',
  'js/dependencies/jquery.js',
  'js/dependencies/bootstrap.js',
  'js/dependencies/**/*.js',
];

আমি সাহায্য করার জন্য তৃণমূল ব্যবহার করছি, এবং এটি স্বয়ংক্রিয়ভাবে প্রধান HTML পৃষ্ঠায় ক্রম পরিবর্তন করেছে:

<!--SCRIPTS-->
  <script src="/js/dependencies/angular.1.3.js"></script>
  <script src="/js/dependencies/jquery.js"></script>
  <script src="/js/dependencies/bootstrap.js"></script>
  <!-- other dependencies -->
<!--SCRIPTS END-->

আশা করি এটা সাহায্য করবে! আপনি আপনার পরিবেশ কি ছিল না বলেন, তাই আমি এই উত্তর পোস্ট করার সিদ্ধান্ত নিয়েছে।


এই সমস্যা নিয়ে সংগ্রাম করার পর আমি তিনটি পদক্ষেপ নিলাম:

  1. 1.9.0 এবং 3.0.0 এর মধ্যে কোথাও jQuery সংস্করণ ব্যবহার করুন
  2. বুটস্ট্র্যাপ ফাইলটি প্রকাশ করার আগে jQuery ফাইলটি ঘোষণা করুন
  3. <head></head> পরিবর্তে <body></body> ট্যাগগুলির নীচে এই দুটি স্ক্রিপ্ট ফাইলগুলি ঘোষণা <head></head> । এটি আমার জন্য কাজ করেছে তবে আপনি যে ব্রাউজারটি ব্যবহার করছেন তার উপর বিভিন্ন আচরণ থাকতে পারে।

এটা চেষ্টা কর

ফাইলের ক্রম পরিবর্তন করুন এটি নীচের মত হওয়া উচিত ..

<script src="js/jquery-1.11.0.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/wow.min.js"></script>

বুটস্ট্র্যাপ যুক্ত করার আগে আপনাকে JQuery যুক্ত করতে হবে-

<!-- JQuery Core JavaScript -->
<script src="lib/js/jquery.min.js"></script>

<!-- Bootstrap Core JavaScript -->
<script src="lib/js/bootstrap.min.js"></script>

যদি এটি কেবল ইন্ট্রানেট হয় তবে, সামঞ্জস্য সেটিংস চেক করুন এবং "উপযুক্ততা মোডে ডিসপ্লে ইন্ট্রানেট সাইটগুলি" আনচেক করুন।

আই ই -> সেটিংস -> সামঞ্জস্য





twitter-bootstrap-3